Skip to main content
GET
/
api
/
v1
/
oauth
/
providers
Get Providers
curl --request GET \
  --url https://api.example.com/api/v1/oauth/providers
import requests

url = "https://api.example.com/api/v1/oauth/providers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v1/oauth/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "provider": "<string>",
    "name": "<string>",
    "has_cloud_api": true,
    "is_enabled": true,
    "icon_url": "<string>",
    "live_sync_configurable": false
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Query Parameters

enabled_only
boolean
default:false

Return only enabled providers

cloud_only
boolean
default:false

Return only cloud (OAuth) providers

Response

Successful Response

provider
string
required

Provider identifier (e.g., 'apple', 'garmin')

name
string
required

Display name (e.g., 'Apple Health', 'Garmin')

has_cloud_api
boolean
required

Whether provider uses cloud OAuth API

is_enabled
boolean
required

Whether provider is enabled by admin

icon_url
string
required

Relative URL to provider icon (e.g., '/static/provider-icons/garmin.svg'). Resolve against the API base URL.

live_sync_mode
enum<string> | null

Current live sync mode ('pull' or 'webhook'). Null for SDK-only providers.

Available options:
pull,
webhook
live_sync_configurable
boolean
default:false

Whether the admin can switch live_sync_mode for this provider.